;;;; geo-earth.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18
;;;; Kon Lovett, Jan '18

(module geo-earth

(;export
  ;
  *earth-flattening*
  *earth-radius-miles* *earth-radius-kilometers*
  ;
  make-earth)

(import scheme
  (chicken base)
  (chicken type)
  (symbol-utils gen)
  geo-globe)

(include "geo-constants")

(include-relative "geo-utils.types")

(: make-earth (#!optional symbol --> geoglobe))

;;

(define *earth-flattening* EARTH-FLATTENING)

(define *earth-radius-miles* EARTH-RADIUS-MILES)
(define *earth-radius-kilometers* EARTH-RADIUS-KILOMETERS)

(define earth-gensym (make-gensym 'earth))

(define (make-earth #!optional (nam (earth-gensym)))
  (make-globe EARTH-RADIUS-KILOMETERS EARTH-FLATTENING nam) )

) ;module geo-earth
